#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 th-extras
version:              0.0.0.8
visibility:           public
id:                   th-extras-0.0.0.8-AZsg3sQmfTA7mOnWxDCmuQ
key:                  th-extras-0.0.0.8-AZsg3sQmfTA7mOnWxDCmuQ
license:              LicenseRef-PublicDomain
maintainer:           Erik de Castro Lopo <erikd@mega-nerd.com>
author:               James Cook <mokus@deepbondi.net>
stability:            experimental
homepage:             https://github.com/erikd/th-extras
synopsis:             A grab bag of functions for use with Template Haskell
description:
    A grab bag of functions for use with Template Haskell.

    This is basically the place I put all my ugly CPP hacks to support
    the ever-changing interface of the template haskell system by
    providing high-level operations and making sure they work on as many
    versions of Template Haskell as I can.

category:             Template Haskell
abi:                  cd001d01c46c69c78eb999811d893135
exposed:              True
exposed-modules:      Language.Haskell.TH.Extras
import-dirs:          /usr/lib/ghc-9.2.8/site-local/th-extras-0.0.0.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/th-extras-0.0.0.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-th-extras
hs-libraries:         HSth-extras-0.0.0.8-AZsg3sQmfTA7mOnWxDCmuQ
depends:
    base-4.16.4.0 containers-0.6.5.1 syb-0.7.2.4-3hS53rZXvyRCGaWO0KMGhq
    template-haskell-2.18.0.0
    th-abstraction-0.4.5.0-FQrzhXbdvQX3Z0wTw3euNu

haddock-interfaces:   /usr/share/doc/haskell-th-extras/html/th-extras.haddock
haddock-html:         /usr/share/doc/haskell-th-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

